Update Shipping Courier

This endpoint updates an order with shipping courier information. The Afterpay team may utilise this information when providing support. **Connection Timeouts** | Timeout | Time (Seconds) | |---------|----------------| | Open | 10 | | Read | 20 |

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

orderIdstringRequired
The unique Afterpay Order ID to update.

Headers

User-AgentstringRequired
AcceptenumOptional
Allowed values:

Request

shippedAtstringOptionalformat: "date-time"
The date and time when the order was shipped, in ISO 8601 format.
namestringOptional<=128 characters
The name of the courier.
trackingstringOptional<=128 characters
The tracking number provided by the courier.
priorityenumOptional
The shipping priority.
Allowed values:

Response

Returns a Payment object in response.
idstring
The unique, permanent, Afterpay generated Order ID.
tokenstring
The token obtained from the checkout call
statusenum
represents the status of the order
Allowed values:
createdstring
The UTC timestamp of when the payment was completed.
originalAmountobject
Total amount charged to the customer for the order.
openToCaptureAmountobject
Remaining amount that can be captured. Will always be zero for Immediate Payment Flow orders.
paymentStateenumRead-only
is the current state for capturing payments
merchantReferencestring

is the merchant’s order id/reference that the payment corresponds to.

refundslist of objects

An array of refunds. Note: in response to a Capture Full Payment call, this array will always be empty, since refunds cannot occur until payment is captured.

orderDetailsobject
The details of the order bound to the payment.
eventslist of objects
One or more payment events that have occurred against the order.
agreementslist of objects

List of billing agreements created if any (field omitted if empty)

Errors

412
Precondition Failed Error
422
Unprocessable Entity Error